#include <iostream>
#include <vector>

using namespace std;

long long f(vector<long long> a)
{
    vector<long long> g1 = a;
    vector<long long> g2 = a;
    vector<long long> g3(a.size());

    long long mx = 0;
    for (long long i = 0; i < a.size(); i++)
    {
        if (mx > a[i])
            g1[i] = mx;
        else mx = a[i];
    }

    long long mn = 0;
    for (long long i = a.size() - 1; i >= 0; i--)
    {
        if (mn > a[i])
            g2[i] = mn;
        else mn = a[i];
    }

    for (long long i = 0; i < a.size(); i++)
        g3[i] = min(g1[i], g2[i]);

    long long sm = 0;
    for (long long i = 0; i < a.size(); i++)
        sm += g3[i] - a[i];

    return sm;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long n;
    cin >> n;

    vector<vector<long long>> a(n);
    vector<long long> k(n);

    for (long long i = 0; i < n; i++)
    {
        vector<long long> r(1);
        cin >> r[0];
        a[i] = r;
    }

    for (long long i = 0; i < n - 1; i++)
    {
        cin >> k[i];
        k[i]--;
    }

    for (long long i = 0; i < n - 1; i++)
    {
        vector<long long> r = a[k[i]];
        for (long long j = 0; j < a[k[i] + 1].size(); j++)
            r.push_back(a[k[i] + 1][j]);
        a[k[i]] = r;

        a.erase(a.begin() + k[i] + 1, a.begin() + k[i] + 2);

        cout << f(a[k[i]]) << endl;
    }

    return 0;
}
