#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

vector<long long> a;

bool f(long long n)
{
    long long l = 0;
    long long r = a.size();
    while (l < r)
    {
        long long mid = (l + r) / 2;
        if (a[mid] == n)
            return true;
        if (a[mid] < n)
            l = mid + 1;
        else r = mid;
    }
    return false;
}


int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    long long d, l, r;
    cin >> d >> l >> r;

    long long sm = 0;

    double h = 1;
    long long k = 1;
    l = sqrt(l);

    for (long long i = 1; i <= sqrt(r); i++)
    {
        k += 2;
        h += k;
        a.push_back(h);

        if (i < l)
            continue;
        if (k > d)
            break;

        if (f(h - d))
            sm++;
    }

    cout << sm;
    return 0;
}
